centres
curl --request GET \
--url https://api.mervii.com/beta/utils/centres \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mervii.com/beta/utils/centres"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mervii.com/beta/utils/centres', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mervii.com/beta/utils/centres",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mervii.com/beta/utils/centres"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.mervii.com/beta/utils/centres")
.header("Authorization", "Bearer <token>")
.asString();{
"data": [
{
"centre_code": "ibadan-sango",
"centre_location": {
"city": "Ojodu Berger",
"country": "Nigeria",
"country_code": "NG",
"formattedAddress": "Olowora, Ojodu Berger 105102, Lagos, Nigeria",
"local": "Kosofe",
"neighborhood": "Olowora",
"postal_code": "105102",
"region": {
"latitude": 6.6395189,
"longitude": 3.3710171
},
"state": "Lagos",
"state_code": "YO",
"ward": "Isheri-Olowo-Ira/Shangisha/Magodo Phase I & II"
},
"centre_name": "Sango Ibadan",
"label": "Sango Ibadan",
"status": "Active",
"value": "ibadan-sango"
},
{
"centre_code": "ibadan-agodi-gate",
"centre_location": {
"city": "Ojodu Berger",
"country": "Nigeria",
"country_code": "NG",
"formattedAddress": "Olowora, Ojodu Berger 105102, Lagos, Nigeria",
"lat": 6.6395189,
"lng": 3.3710171,
"local": "Kosofe",
"neighborhood": "Olowora",
"postal_code": "105102",
"region": {
"latitude": 6.6395189,
"longitude": 3.4710171
},
"state": "Lagos",
"state_code": "YO",
"ward": "Isheri-Olowo-Ira/Shangisha/Magodo Phase I & II"
},
"centre_name": "Agodi Gate Ibadan",
"label": "Agodi Gate Ibadan",
"status": "Active",
"value": "ibadan-agodi-gate"
},
{
"centre_code": "lagos-ojodu-berger",
"centre_location": {
"city": "Ojodu Berger",
"country": "Nigeria",
"country_code": "NG",
"formattedAddress": "Olowora, Ojodu Berger 105102, Lagos, Nigeria",
"lat": 6.6395189,
"lng": 3.3710171,
"local": "Kosofe",
"neighborhood": "Olowora",
"postal_code": "105102",
"region": {
"latitude": 7.6395189,
"longitude": 4.4710171
},
"state": "Lagos",
"state_code": "LA",
"ward": "Isheri-Olowo-Ira/Shangisha/Magodo Phase I & II"
},
"centre_name": "Ojodu Berger Lagos",
"label": "Ojodu Berger Lagos",
"status": "Active",
"value": "lagos-ojodu-berger"
},
{
"centre_code": "lagos-adeniji-adele",
"centre_location": {
"city": "Lagos",
"country": "Nigeria",
"country_code": "NG",
"formattedAddress": "Adeniji Adele Bridge, Lagos Island, Lagos 102273, Lagos, Nigeria",
"local": "Lagos Island",
"neighborhood": "Lagos Island",
"place_id": "EkBBZGVuaWppIEFkZWxlIEJyaWRnZSwgTGFnb3MgSXNsYW5kLCBMYWdvcyAxMDIyNzMsIExhZ29zLCBOaWdlcmlhIi4qLAoUChIJTw4WaWuLOxARPDHb6eb35wISFAoSCcGAguYqizsQEcvZw2ejh57c",
"postal_code": "102273",
"region": {
"latitude": 6.4612672,
"latitudeDelta": 0.0049,
"longitude": 3.3961466,
"longitudeDelta": 0.0022642180094786728
},
"state": "Lagos",
"state_code": "LA",
"street_address": "Adeniji Adele Bridge"
},
"centre_name": "Adeniji Adele Lagos",
"label": "Adeniji Adele Lagos",
"status": "Active",
"value": "lagos-adeniji-adele"
}
],
"message": "Centres successfully fetched!",
"status": true
}centres
GET /utils/centres
This endpoint retrieves a list of centres.
Request
No request body is required for this request.
Response
The response will be a JSON object with the following schema:
{
"type": "object",
"properties": {
"status": {
"type": "boolean"
},
"message": {
"type": "string"
},
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"centre_name": {
"type": "string"
},
"centre_code": {
"type": "string"
},
"centre_location": {
"type": "object",
"properties": {
"city": {
"type": "string"
},
"ward": {
"type": "string"
},
"local": {
"type": "string"
},
"state": {
"type": "string"
},
"region": {
"type": "object",
"properties": {
"latitude": {
"type": "number"
},
"longitude": {
"type": "number"
}
}
},
"country": {
"type": "string"
},
"state_code": {
"type": "string"
},
"postal_code": {
"type": "string"
},
"country_code": {
"type": "string"
},
"neighborhood": {
"type": "string"
},
"formattedAddress": {
"type": "string"
}
}
},
"status": {
"type": "string"
},
"label": {
"type": "string"
},
"value": {
"type": "string"
}
}
}
}
}
}
GET
/
utils
/
centres
centres
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
success
Show child attributes
Show child attributes
Example:
[
{
"centre_code": "ibadan-sango",
"centre_location": {
"city": "Ojodu Berger",
"country": "Nigeria",
"country_code": "NG",
"formattedAddress": "Olowora, Ojodu Berger 105102, Lagos, Nigeria",
"local": "Kosofe",
"neighborhood": "Olowora",
"postal_code": "105102",
"region": {
"latitude": 6.6395189,
"longitude": 3.3710171
},
"state": "Lagos",
"state_code": "YO",
"ward": "Isheri-Olowo-Ira/Shangisha/Magodo Phase I & II"
},
"centre_name": "Sango Ibadan",
"label": "Sango Ibadan",
"status": "Active",
"value": "ibadan-sango"
},
{
"centre_code": "ibadan-agodi-gate",
"centre_location": {
"city": "Ojodu Berger",
"country": "Nigeria",
"country_code": "NG",
"formattedAddress": "Olowora, Ojodu Berger 105102, Lagos, Nigeria",
"lat": 6.6395189,
"lng": 3.3710171,
"local": "Kosofe",
"neighborhood": "Olowora",
"postal_code": "105102",
"region": {
"latitude": 6.6395189,
"longitude": 3.4710171
},
"state": "Lagos",
"state_code": "YO",
"ward": "Isheri-Olowo-Ira/Shangisha/Magodo Phase I & II"
},
"centre_name": "Agodi Gate Ibadan",
"label": "Agodi Gate Ibadan",
"status": "Active",
"value": "ibadan-agodi-gate"
},
{
"centre_code": "lagos-ojodu-berger",
"centre_location": {
"city": "Ojodu Berger",
"country": "Nigeria",
"country_code": "NG",
"formattedAddress": "Olowora, Ojodu Berger 105102, Lagos, Nigeria",
"lat": 6.6395189,
"lng": 3.3710171,
"local": "Kosofe",
"neighborhood": "Olowora",
"postal_code": "105102",
"region": {
"latitude": 7.6395189,
"longitude": 4.4710171
},
"state": "Lagos",
"state_code": "LA",
"ward": "Isheri-Olowo-Ira/Shangisha/Magodo Phase I & II"
},
"centre_name": "Ojodu Berger Lagos",
"label": "Ojodu Berger Lagos",
"status": "Active",
"value": "lagos-ojodu-berger"
},
{
"centre_code": "lagos-adeniji-adele",
"centre_location": {
"city": "Lagos",
"country": "Nigeria",
"country_code": "NG",
"formattedAddress": "Adeniji Adele Bridge, Lagos Island, Lagos 102273, Lagos, Nigeria",
"local": "Lagos Island",
"neighborhood": "Lagos Island",
"place_id": "EkBBZGVuaWppIEFkZWxlIEJyaWRnZSwgTGFnb3MgSXNsYW5kLCBMYWdvcyAxMDIyNzMsIExhZ29zLCBOaWdlcmlhIi4qLAoUChIJTw4WaWuLOxARPDHb6eb35wISFAoSCcGAguYqizsQEcvZw2ejh57c",
"postal_code": "102273",
"region": {
"latitude": 6.4612672,
"latitudeDelta": 0.0049,
"longitude": 3.3961466,
"longitudeDelta": 0.0022642180094786728
},
"state": "Lagos",
"state_code": "LA",
"street_address": "Adeniji Adele Bridge"
},
"centre_name": "Adeniji Adele Lagos",
"label": "Adeniji Adele Lagos",
"status": "Active",
"value": "lagos-adeniji-adele"
}
]
Example:
"Centres successfully fetched!"
Example:
true
Was this page helpful?
